Entwurf PolarAnordnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PolarArray and the translation is 23% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Draft PolarArray.svg Draft PolarAnordnung

Menüeintrag
Entwurf → Polare Anordnung
Arbeitsbereich
Entwurf
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Anordnung, KreisAnordnung, PfadAnordnung, Punkt Anordnung, Klonen

Beschreibung

Das Draft PolarArray.svg Entwurf PolarAnordnung Werkzeug erstellt eine Anordnung aus einem ausgewählten Objekt und platziert die Kopien entlang eines Umfangs.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit dem Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Draft PolarArray example.png

Eine polar Anordnung eines Objekts.

Anwendung

See also: Draft Snap.

  1. Wähleein Objekt aus, von dem du die Polaranordnung erstellen möchtest.
  2. Drücke die Draft PolarArray.svg Polar Anordnung Schaltfläche. Wenn kein Objekt ausgewählt ist, wird das Aufgabenpaneel geöffnet, aber du musst trotzdem ein Objekt auswählen, um fortzufahren.
  3. Wähle den Polarwinkel, der bestimmt, wo sich das letzte Element der Anordnung befindet.
  4. Wähle die Anzahl der Elemente in der Anordnung. Minimum von 2, Maximum von 99.
  5. Wähle das Zentrum der Rotationsachse. Du kannst auf die 3D Ansicht klicken, um gleichzeitig die Position des Rotationszentrums festzulegen und den Befehl abzuschließen.
  6. Optional hake die verschmelzungs- oder Verknüpfungsoptionen an.
  7. Drücke OK, um den Befehl abzuschließen.

Optionen

  • Drücke Reset point um das Drehzentrum auf den Ursprung zu setzen (0, 0, 0).
  • Wenn das Kontrollkästchen Fuse aktiviert ist, werden die resultierenden Objekte in der Anordnung zu einer einzigen Form verschmolzen, wenn sie einander berühren oder schneiden.
  • Wenn das Kontrollkästchen Use Links markiert ist, werden die resultierenden Objekte in der Anordnung nicht als einfache Kopien, sondern als App Verknüpfungen erstellt. Dies verbessert die Speichernutzung der Anordnung, da die App Verknüpfung die Form des Originalobjekts wiederverwendet und keine neuen Formen erstellt. Wenn diese Option verwendet wird, hat das Fuse Kontrollkästchen keine Wirkung.
  • Drücke Esc oder die Cancel Schaltfläche, um den aktuellen Befehl abzubrechen.

Notes

Hinweise:

  • Standardmäßig ist die Rotationsachse die positive Z Achse (0, 0, 1). Dies kann im Eigenschaftseditor geändert werden, nachdem das Objekt erzeugt wurde.
  • Der Polarwinkel ist positiv im Gegenuhrzeigersinn und negativ im Uhrzeigersinn.
  • Jedes Element in der Anordnung ist ein exakter Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine Einheit betrachtet.
  • Mit diesem Befehl wird dasselbe Objekt erstellt, das mit den Anordnung und KreisAnordnung Werkzeugen erstellt wurde. Daher kann die Anordnung einfach durch Ändern seiner Eigenschaften in orthogonal, polar oder zirkular umgewandelt werden.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Eigenschaften

Siehe das Draft Array.svg OrthoAnordnung Werkzeug für die vollständige Information.

Skripten

Parametric array

Das Anordnungswerkzeug kann in Makros und von der Python Konsole aus mit folgender Funktion verwendet werden:

The main method:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

The wrapper for polar arrays is:

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • Erstellt eine Anordnung aus den in obj enthaltenen Objekten, die ein einzelnes Objekt oder eine Liste von Objekten sein kann.
  • Der Wert von center ist ein Vektor, der den Mittelpunkt des Anordnungkreises definiert; angle ist der Winkel des Bogens in Grad, und number ist die Anzahl der Kopien im Kreismuster, einschließlich des Originalobjekts.
  • Wenn use_link true ist, handelt es sich bei den erstellten Kopien um App Verknüpfungen und nicht um reguläre Kopien.
  • array_list wird mit den neuen Kopien zurückgegeben.
    • array_list ist entweder ein einzelnes Objekt oder eine Liste von Objekten, abhängig von der Eingabe obj.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Non-parametric array

To create a non-parametric polar array use the array method of the Draft module. This method returns None.

array(objectslist, center, angle, number)

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

Draft.array(tri, center, 270, 8)
doc.recompute()